Subject: RE: bug#6017: 23.1.96; savehist-printable for hash tables

From: "Drew Adams" <[email-masked]>
Date: Fri, 23 Apr 2010 11:34:55 -0700

> That won't check whether the contents of the has-table are
> themsevles printable.

Good point. I don't know how the support for printing & reading hash tables
works. If it just ensures that the top level is readable (the hash table
itself), then yes, there is no guarantee that its content is really readable.

Is this feature of hash-table print+read support specified anywhere, so we know
what the support really is? If not, could you please document it? 

It sounds like it is similar to printing a list - no guarantees about
readability of list members etc. If so, we should at least say that somewhere.